Bug 850680 - With bigger fontsizes, parts of gnome-tweak-tool become difficult to use because text is cut off
With bigger fontsizes, parts of gnome-tweak-tool become difficult to use beca...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 03:06 EDT by Mike FABIAN
Modified: 2015-01-12 02:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 02:35:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-tweak-tool-font-size-eliding-problem.png (78.28 KB, image/png)
2012-08-22 03:06 EDT, Mike FABIAN
no flags Details
gnome-tweak-tool-font-size-eliding-problem-f21-less-serious.png (188.62 KB, image/png)
2015-01-12 02:34 EST, Mike FABIAN
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 699948 None None None Never

  None (edit)
Description Mike FABIAN 2012-08-22 03:06:57 EDT
Created attachment 606144 [details]
gnome-tweak-tool-font-size-eliding-problem.png

Description of problem:

Only with very small fonts, everything is readable in gnome-tweak-tool.
As soon as the font size is a bit larger, some texts are cut off.
Several texts differ only in their last part which is cut off.
Therefore, this makes it quite hard to use. See attached screenshot.

Version-Release number of selected component (if applicable):
gnome-tweak-tool-3.4.0.1-2.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. Start gnome-tweak-tool and select the “Windows” tab on the left
2. Depending on which font size is set, the labels for the comboboxes
   on the right:

      Action on title bar double-click
      Action on title bar middle-click
      Action on title bar right-click
      Window focus mode
  
   might be cut off and look like:

      Action on title ...
      Action on title ...
      Action on title ...
      Window focus ...

   This happens already with moderately large font sizes.

I think an easy way to solve this would be to make gnome-tweak-tool
resizable. Then one could just make gnome-tweak-tools window big enough
to be able to read everything.
Currently resizing gnome-tweak-tool is unfortunately not possible.
Comment 1 Fedora Admin XMLRPC Client 2012-11-13 02:07:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-07-03 22:33:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-01-09 12:20:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Mike FABIAN 2015-01-12 02:34:48 EST
Created attachment 978977 [details]
gnome-tweak-tool-font-size-eliding-problem-f21-less-serious.png

In Fedora 21, gnome-tweak-tool is resizable which makes the problem
far less serious, only very few texts are still elided with big font sizes.

Note You need to log in before you can comment on or make changes to this bug.